Subject: [Anima] Michael: IANA request for GRASP registry missing from BRSKI text

From: Toerless Eckert <[email-masked]>
Date: Fri, 6 Nov 2020 17:24:46 +0100

*sigh*

Am i completeley confused, or did we miss until now the IANA request in BRSKI for
the new entries AN_Proxy and AN_join_registrar ?

I was just checking IANA actions for ACP and did not see these two in the GRASP
registry:

https://www.ietf.org/archive/id/draft-ietf-anima-bootstrapping-keyinfra-44.txt

Not sure about the process, e.g.: if "specification required" (GRASP registry) 
mandates the IANA text in the BRSKI RFC... I fear it does ? If three is an easier
way as having Warren approve another rev... ?

Cheers
    Toerless

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 7 Nov 2020 08:51:28 +1300

Yes, this is a glitch. Good catch. I think it's editorial so it can be fixed easily, but IANA does need to be informed. The phrasing in the ACP draft is fine:

The IANA is requested to register the value "xxx" (without quotes) to the GRASP Objectives Names Table in the GRASP Parameter Registry. The specification for this value is this document, Section yyy.

Regards
   Brian

On 07-Nov-20 05:24, Toerless Eckert wrote:
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima
>

---

From: Toerless Eckert <[email-masked]>
Date: Fri, 6 Nov 2020 21:49:29 +0100

Ok, if you are certain that we can do this in AUTH48, then the following will suffice:

https://github.com/anima-wg/anima-bootstrap/issues/147

If not, then let me know what i should do process wise (author or wg-chair).

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Fri, 06 Nov 2020 16:15:21 -0500

> the new entries AN_Proxy and AN_join_registrar ?

I dunno what happened.
But, you are exactly right.
Who to blame? when in doubt? clearly, BLAME CANADA.

It wasn't until my third reading of:
  grasp-15, section 6, https://datatracker.ietf.org/doc/html/draft-ietf-anima-grasp-15#section-6

that I saw that GRASP actually does create a _GRASP Objective Names Tables_.
I was going to complain that there was no registry created, but it just
didn't have it's own heading:

   GRASP Objective Names Table.  The values in this table are UTF-8
   strings which MUST NOT include a colon (":"), according to
   Section 2.10.1.  Future values MUST be assigned using the
   Specification Required policy defined by [RFC8126].

   To assist expert review of a new objective, the specification should
   include a precise description of the format of the new objective,
   with sufficient explanation of its semantics to allow independent
   implementations.  See Section 2.10.3 for more details.  If the new
   objective is similar in name or purpose to a previously registered
   objective, the specification should explain why a new objective is
   justified.

    > way as having Warren approve another rev... ?

I think that the text has to go in.
Warren needs to approve the change, and IANA needs to review, and then the
text needs to go in now or at AUTH48, depending upon where the RPC really is.

I have version -45 ready to post, diffs are at:

I think that this is non-constroversial, does not require a WG LC, and can
slide in at AUTH48, but as it required IANA review, it's better if it happens
sooner.

It looks like the YANG is now 2-3 characters too long in places, so I've also
rewrapped that.  The base64 in the examples will also need to be reflowed
ick.

https://www.ietf.org/rfcdiff?url1=draft-ietf-anima-bootstrapping-keyinfra-44&url2=https://raw.githubusercontent.com/anima-wg/anima-bootstrap/master/dtbootstrap-anima-keyinfra.txt

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 7 Nov 2020 10:15:56 +1300

Cough, cough, you've got "AN_Proxy" twice in your update.

It's above my pay grade, but IMHO somebody needs to tell IANA specifically about this, earlier than AUTH48.

Regards
   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 7 Nov 2020 11:33:41 +1300

Yes, the registry has been there for some time:
https://www.iana.org/assignments/grasp-parameters/grasp-parameters.xhtml#objective-names and guess who is the expert?

Regards
   Brian

---

From: Toerless Eckert <[email-masked]>
Date: Sat, 7 Nov 2020 00:47:59 +0100

That expert assignment is probably a case of https://en.wiktionary.org/wiki/shanghai

-- 
---
[email-masked]

---

From: Toerless Eckert <[email-masked]>
Date: Sat, 7 Nov 2020 00:48:34 +0100

Kiding aside: Who needs to take which action now ? 

-- 
---
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Fri, 06 Nov 2020 18:50:58 -0500

> https://github.com/anima-wg/anima-bootstrap/issues/147

Fixed in 622ab48, see the issue.

---

From: Michael Richardson <[email-masked]>
Date: Fri, 06 Nov 2020 22:12:10 -0500

> Kiding aside: Who needs to take which action now ?

I think that Warren needs to approve this update.
1) He could green-light an update/upload to the DT despite the embargo.
2) Probably needs to tell the RFC-editor that this change is approved.
3) Notify IANA that we missed an instruction.

If the RPC has already started editing the document (crossed fingers for
yes), then the diff will be more valuable to them than an updated XML.

The lone diff is at:

https://github.com/anima-wg/anima-bootstrap/commit/622ab481b84c55782d0e0fbe5d3526063c5dbc9c